package com.rongwei.bscommon.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bsentity.domain.FsFileDataListDo;
import com.bsentity.dto.RemindDto;
import com.bsentity.vo.CloseProcVo;
import com.bsentity.vo.DealWithFileVO;
import com.bsentity.vo.FsFileFormVo;
import com.rongwei.rwcommon.base.R;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 奥克宁可——文件清单 服务类
 * </p>
 *
 * @author trjwq
 * @since 2023-07-17
 */
public interface FsFileDataListService extends IService<FsFileDataListDo> {
    R watermark(DealWithFileVO dealWithFileVO);

    /**
     * 定时任务，所有生效文件进行回顾
     * @return
     */
    R updateReviewByAll();

    /**
     * 预警提醒
     *
     * @param remindDto
     */
    void earlyWarningReminder(RemindDto remindDto);

    R temporaryTask();

    R closeProc(CloseProcVo closeProcVo);

    R initialization(String folderPath);

    void aknkInitFolder(String folderPath, HttpServletResponse response);

    R reSaveFileRecord(FsFileFormVo fsFileFormVo);

}
